<template>
  <v-row>
    <v-col class="d-flex align-center">
      <v-menu transition="slide-y-transition">
        <template #activator="{ props }">
          <v-btn
            color="primary"
            size="large"
            v-bind="props"
            prepend-icon="mdi-menu"
          >
            Все категории
          </v-btn>
        </template>
        <v-list>
          <v-list-item
            v-for="(item, i) in categories"
            :key="i"
            :prepend-icon="item.icon"
            @click=""
          >
            <v-list-item-title>{{ item.name }}</v-list-item-title>
          </v-list-item>
        </v-list>
      </v-menu>
      <v-slide-group show-arrows>
        <v-slide-group-item
          v-for="({ name, icon }, index) in categories"
          :key="index"
          v-slot="{ isSelected, toggle }"
        >
          <v-btn
            class="ma-2"
            rounded
            size="large"
            :prepend-icon="icon"
            :color="isSelected ? 'primary' : undefined"
            @click="toggle(), clickHandler(name)"
          >
            {{ name }}
          </v-btn>
        </v-slide-group-item>
      </v-slide-group>
      <!--      <v-btn-->
      <!--        v-for="({ name, icon }, index) in categories"-->
      <!--        :key="index"-->
      <!--        size="large"-->
      <!--        color="primary"-->
      <!--        variant="tonal"-->
      <!--        class="mr-2"-->
      <!--        :prepend-icon="icon"-->
      <!--        >{{ name }}-->
      <!--      </v-btn>-->
    </v-col>
  </v-row>
</template>

<script setup>
import { dispatch, sync } from 'vuex-pathify'
import { useRouter } from 'vue-router'
const router = useRouter()
const { currentTab, categories } = sync('market/*')
function clickHandler(name) {
  dispatch('market/getByCategory', name)
}
</script>

<style scoped></style>
